-- region NewFile_1.lua
-- Author : Administrator
-- Date   : 2015/1/5
-- 此文件由[BabeLua]插件自动生成
LSceneHall = class('LSceneHall', function()
    return clscast(clscast(DNDSceneHall:scene(g_lglobal.SCENEID_PVP), "CCNode"):getChildByTag(g_lglobal.SCENEID_PVP), "DNDSceneHall");
end )

local m = LSceneHall;
m.iRankLevel = 0;
m.pItem1V1Tmp = nil; -- 竞技1v1模板
m.pItem2V2Tmp = nil;
m.pItem3PTmp = nil; -- 混战3人
m.pItem4PTmp = nil;
m.pItemWindTmp = nil; -- 风力场
m.bDoubleGame = false; -- 是否是双倍积分场

local PVP_MOD_1V1 = 0;
local PVP_MOD_2V2 = 1;
local PVP_MOD_3P = 2;
local PVP_MOD_4P = 3;


-- 初始化函数
function LSceneHall:lInit()
    self:AddNetEventListener(MAIN_QUALIFYING, QUALIFYING_MyRankInfoOk);
    self:AddNetEventListener(MAIN_ROOM, ROOM_GetRoomListOk);
    -- 设置系统刷新时间
    local timeDispose = LLoginDispose.new();
    timeDispose:lSetSysRefTime(self);
end

--- modify：dzb 我已经把接收 我的排行榜信息的协议写好了，不用从新写这个的协议，但是没有把c++的转lua 这里只是做了一下监听 用来做红点提示的 还需要转lua，转好了可以把这个注释去了，谢谢
--- modify: dzb 把领奖协议转了lua
function LSceneHall:lOnNetRecv(buf)
    if buf.iMainType == MAIN_QUALIFYING then
        if buf.iSubType == QUALIFYING_MyRankInfoOk then
            -- 有关红点提示设置 试炼的次数
            self:lSetPvpRedDotData(buf);
            -- 获取排行榜等级
            self.iRankLevel = buf.bRankLevel;
            cclog("iRankLevel::" .. self.iRankLevel);

            -- 更新勋章等级
            g_lglobal:getAccount():getPlayer():setMedalLevel(self.iRankLevel);
            -- 请求房间列表
            if g_lglobal.tHallListCache ~= nil then
                self:initMatchItem();
            else
                local pGetRoomList = LNetGetRoomList.new();
                pGetRoomList.sCacheVer = g_lglobal.sHallListVer;
                lSend(pGetRoomList, self, false);
            end


        end
    elseif buf.iMainType == MAIN_ROOM then
        if buf.iSubType == ROOM_GetRoomListOk then
            -- 保存房间列表缓存版本
            g_lglobal.sHallListVer = buf.sCacheVer;
            -- 缓存列表
            CC_SAFE_RELEASE(g_lglobal.tHallListCache);
            g_lglobal.tHallListCache = buf;
            clscast(g_lglobal.tHallListCache, 'CCObject'):retain();

            -- 获取房间列表
            cclog("ROOM_GetRoomListOk");
            -- 初始化赛事item
            self:initMatchItem();
        end
    end
end

-- 有关红点提示设置 试炼的次数
function LSceneHall:lSetPvpRedDotData(buf)
    if (buf.bHaaReward == true) then
        g_lglobal.tRedDotHintFunctionState['iPvpDraw'] = 2;
    else
        if (buf.iMyScore > 0) then
            g_lglobal.tRedDotHintFunctionState['iPvpDraw'] = 1;
        else
            g_lglobal.tRedDotHintFunctionState['iPvpDraw'] = 0;
        end
    end
end

-- pvp商店
function LSceneHall:lOnPvpShotBtnClick()
    g_lglobal:lGotoScene(g_lglobal.SCENEID_PVPMALL, nil);
end

function LSceneHall:lOnEnter()
    -- clone对象没有图片问题
    CCSpriteFrameCache:sharedSpriteFrameCache():addSpriteFramesWithFile(UI_PATH_HEAD .. "cocouinew/normal/imgPVPicon.plist");
    CCSpriteFrameCache:sharedSpriteFrameCache():addSpriteFramesWithFile(UI_PATH_HEAD .. "cocouinew/normal/imgPVP1.plist");
    CCSpriteFrameCache:sharedSpriteFrameCache():addSpriteFramesWithFile(UI_PATH_HEAD .. "cocouinew/normal/imgWaiting.plist");
    CCSpriteFrameCache:sharedSpriteFrameCache():addSpriteFramesWithFile(UI_PATH_HEAD .. "cocouinew/normal/imgPet1.plist");
    CCSpriteFrameCache:sharedSpriteFrameCache():addSpriteFramesWithFile(UI_PATH_HEAD .. "cocouinew/btn/imgBtnTY1.plist");
    CCSpriteFrameCache:sharedSpriteFrameCache():addSpriteFramesWithFile(UI_PATH_HEAD .. "cocouinew/normal/imgPVPJBicon.plist");

    -- 获取 pvp 的cocoui
    local pUILayer = self:getPUILayer();
    -- 领奖按钮
    local pRewardBtn = pUILayer:getWidgetByName('btnLingJiang');
    if (pRewardBtn ~= nil) then
        pRewardBtn:addTouchEventListener(self:onRewardBtnClick());
    end

    -- 获取列表item
    self.pItem1V1Tmp = pUILayer:getWidgetByName('btnMode_1V1');
    self.pItem1V1Tmp:setTag(PVP_MOD_1V1);
    self.pItem1V1Tmp:setVisible(false);
    self.pItem1V1Tmp:setScale(0);
    -- self.pItem1V1Tmp:addTouchEventListener(self:onEnterRoomClick());

    self.pItem2V2Tmp = pUILayer:getWidgetByName('btnMode_2V2');
    self.pItem2V2Tmp:setTag(PVP_MOD_2V2);
    self.pItem2V2Tmp:setVisible(false);
    self.pItem2V2Tmp:setScale(0);
    -- self.pItem2V2Tmp:addTouchEventListener(self:onEnterRoomClick());

    self.pItem3PTmp = pUILayer:getWidgetByName('btnMode_3P');
    self.pItem3PTmp:setTag(PVP_MOD_3P);
    self.pItem3PTmp:setVisible(false);
    self.pItem3PTmp:setScale(0);
    -- self.pItem3PTmp:addTouchEventListener(self:onEnterRoomClick());

    self.pItem4PTmp = pUILayer:getWidgetByName('btnMode_4P');
    self.pItem4PTmp:setTag(PVP_MOD_4P);
    self.pItem4PTmp:setVisible(false);
    self.pItem4PTmp:setScale(0);
    -- self.pItem4PTmp:addTouchEventListener(self:onEnterRoomClick());

    self.pItemWindTmp = pUILayer:getWidgetByName('btnMode_Wind1');
    self.pItemWindTmp:setVisible(false);
    self.pItemWindTmp:setScale(0);


end

-- 初始化赛事场
function LSceneHall:initMatchItem()
    self.bDoubleGame = false;
    -- 获取 pvp 的cocoui
    local pUILayer = self:getPUILayer();
    -- 滑动列表
    local pListviewPvp = clscast(pUILayer:getWidgetByName("ListViewPvpGames"), "ListView");
    pListviewPvp:removeAllItems();

    local index = 0;

    -- 排序
    local sortModeIdTmp = { };
    for i = 1, table.getn(g_lglobal.tHallListCache.tModelId) do
        -- 房间Id
        local battleModeId = g_lglobal.tHallListCache.tModelId[i];
        -- 房间信息(本地)
        local roomInfo = self:getHallRoomInfoById(battleModeId);
        if roomInfo ~= nil then
            roomInfo.double_day = g_lglobal.tHallListCache.tDoubleDay[i];
            roomInfo.double_time = g_lglobal.tHallListCache.tDoubleTime[i];
            roomInfo.reward_item_id = g_lglobal.tHallListCache.tRewardItemId[i];
            roomInfo.tree_times = g_lglobal.tHallListCache.tTreetimes[i];
            roomInfo.open_day = g_lglobal.tHallListCache.tOpenDay[i];
            roomInfo.open_time = g_lglobal.tHallListCache.tOpenTime[i];
            table.insert(sortModeIdTmp, roomInfo);
        end
    end
    table.sort(sortModeIdTmp, function(a, b) return a.sort < b.sort end);

    -- 读取pvp列表信息
    for i = 1, table.getn(sortModeIdTmp) do
        local pWindItem = nil;
        -- 房间Id
        local battleModeId = sortModeIdTmp[i].id;
        -- 房间信息(本地)
        local roomInfo = self:getHallRoomInfoById(battleModeId);
        -- 模式
        local battleMode = roomInfo.battle_model;
        -- 是否赛事
        local isMatch = roomInfo.is_match;
        if isMatch == 0 then
            -- 不是赛事
            -- 是否开启热点
            local isHot = self:isInOpenTime(sortModeIdTmp[i].double_day, sortModeIdTmp[i].double_time);

            if battleMode == 1 then

                if roomInfo.player_num == 1 then
                    -- 1v1
                    pWindItem = self.pItem1V1Tmp:clone();
                    if (g_lglobal:getIsNewMustTeach() and g_lglobal:getNewTeachStep() == g_lglobal.DEF_NEWTEACH_GUIDE_OPEN_PVP) then
                        index = i;
                    end
                else
                    -- 2v2
                    pWindItem = self.pItem2V2Tmp:clone();
                end

            elseif battleMode == 3 then
                if roomInfo.player_num == 1 then
                    -- 3p
                    pWindItem = self.pItem3PTmp:clone();
                else
                    -- 4p
                    pWindItem = self.pItem4PTmp:clone();
                end
            end

            -- 热点开启时间（天）提示
            local hotTipLab = clscast(UIHelper:seekWidgetByName(pWindItem, "txtLockTip"), "Label");
            hotTipLab:setText(string.format(g_lglobal:getClientText("E_HALL_OPENDAY_TIP"), self:getOpenDays(sortModeIdTmp[i].double_day)));

            -- 热点开启时间（时）

            local hotTimeTipLab = clscast(UIHelper:seekWidgetByName(pWindItem, "txtLockTimeTip"), "Label");
            hotTimeTipLab:setText(sortModeIdTmp[i].double_time);


            -- 双倍积分标头
            local hotTitle = clscast(UIHelper:seekWidgetByName(pWindItem, "imgQizi1"), "ImageView");
            -- 掉落物品文本
            local dropItemLab = clscast(UIHelper:seekWidgetByName(pWindItem, "txtHotDropItem"), "Label");
            dropItemLab:setScale(0);
            -- 图标

            local hotIcon = clscast(UIHelper:seekWidgetByName(pWindItem, "imgHotItem"), "ImageView");
            local pIconItem = clscast(DNDGoods:create(sortModeIdTmp[i].reward_item_id, false), "CCNode");
            hotIcon:setOpacity(0);
            if pIconItem ~= nil then
                pIconItem:setScale(0.8);
                hotIcon:addNode(pIconItem);
            end

            -- 是否已经开启热点
            if isHot then
                dropItemLab:setVisible(true);
                dropItemLab:setScale(1);
                hotTipLab:setVisible(false);
                hotTitle:setVisible(true);
                hotTimeTipLab:setVisible(false);
            else
                -- 未开启
                dropItemLab:setVisible(false);
                hotTipLab:setVisible(true);
                hotTitle:setVisible(false);
                hotTimeTipLab:setVisible(true);
            end

        else
            -- 是赛事
            pWindItem = self.pItemWindTmp:clone();
            -- 剩余次数
            local hasTimes = clscast(UIHelper:seekWidgetByName(pWindItem, "txtnlb1"), "Label");
            hasTimes:setText(sortModeIdTmp[i].tree_times);
            -- 赛事图标
            local matchIcon = clscast(UIHelper:seekWidgetByName(pWindItem, "imgPVPwind"), "ImageView");
            matchIcon:loadTexture(roomInfo.icon1 .. ".png", UI_TEX_TYPE_PLIST);
            -- 赛事名称
            local matchName = clscast(UIHelper:seekWidgetByName(pWindItem, "fntFengli"), "LabelBMFont");
            matchName:setText(roomInfo.icon2);
            -- 赛事奖励
            local rewards = clscast(UIHelper:seekWidgetByName(pWindItem, "btnJiangli"), "Button")
            if (rewards ~= nil) then
                local onBtn = function(pSend, eventType)
                    if (eventType ~= TOUCH_EVENT_ENDED) then return; end
                    g_lglobal:lGotoScene(g_lglobal.SCENEID_EVENTREWARDS, nil);
                end
                rewards:setTouchEnabled(true);
                rewards:addTouchEventListener(onBtn);
            end

            -- 奖杯数量
            local rewardNum = clscast(UIHelper:seekWidgetByName(pWindItem, "nlbHDscore"), "LabelAtlas");
            local itemNumsVal = g_lglobal:getAccount():getBagGoodsNumByShopId(roomInfo.match_item_id);
            rewardNum:setStringValue(itemNumsVal);

        end

        pWindItem:setTag(battleModeId);
        pWindItem:setVisible(true);
        pWindItem:setScale(1);

        -- 判断是否开启
        local isOpen = self:isInOpenTime(sortModeIdTmp[i].open_day, sortModeIdTmp[i].open_time);
        -- 锁图片
        local lockIcon = clscast(UIHelper:seekWidgetByName(pWindItem, "imgSuo"), "ImageView");
        if isOpen then
            pWindItem:addTouchEventListener(self:onEnterRoomClick());
            lockIcon:setVisible(false);
        else
            pWindItem:addTouchEventListener(self:onRoomIsLockTip());
            lockIcon:setVisible(true);
        end

        -- 赛事用勋章等级限制
        if g_lglobal:getAccount():getPlayer():getMedalLevel() < roomInfo.need_level then
            lockIcon:setVisible(true);
        end

        pListviewPvp:pushBackCustomItem(pWindItem);
    end

    -- 新手引导
    if (g_lglobal:getIsNewMustTeach() and g_lglobal:getNewTeachStep() == g_lglobal.DEF_NEWTEACH_GUIDE_OPEN_PVP and g_lglobal:getOptionsTeachStep() == 1 and index ~= 0) then
        local m_teachVector = DNDUiHelper:createCCBEffect("XUI_jiantou.ccbi")
        m_teachVector = clscast(m_teachVector, 'DNDSprite')
        m_teachVector:playRepeat()
        m_teachVector:setTag(9999)
        local pLayer = self:getPUILayer();
        local items = clscast(pListviewPvp:getItems(), 'CCArray')
        local len = items:count() -1
        local item = nil;
        for i = 0, len do
            if (i + 1 ~= index) then
                local item = clscast(items:objectAtIndex(i), 'Widget')
                item:setTouchEnabled(false)
            else
                item = clscast(items:objectAtIndex(i), 'Widget')
            end
        end

        pListviewPvp:setTouchEnabled(false)

        if (item ~= nil) then
            item:addNode(m_teachVector, 9999)
        end

    elseif (g_lglobal:getIsNewMustTeach() and g_lglobal:getNewTeachStep() == g_lglobal.DEF_NEWTEACH_GUIDE_PVP_COMPETE and g_lglobal:getOptionsTeachStep() == 2) then
        local items = clscast(pListviewPvp:getItems(), 'CCArray')
        local len = items:count() -1
        for i = 0, len do
            if (i ~= 0) then
                local item = clscast(items:objectAtIndex(i), 'Widget')
                item:setTouchEnabled(false)
            end
        end
        pListviewPvp:setTouchEnabled(false)
        local m_teachVector = DNDUiHelper:createCCBEffect("XUI_jiantou.ccbi")
        m_teachVector = clscast(m_teachVector, 'DNDSprite')
        m_teachVector:playRepeat()
        m_teachVector:setTag(9999)
        local item = items:objectAtIndex(0)
        if (item ~= nil) then
            item:addNode(m_teachVector, 9999)
        end
    end

    -- 购买次数按钮
    local pBuyPowerBtn = clscast(pUILayer:getWidgetByName("btnGouMai"), "Button");
    pBuyPowerBtn:addTouchEventListener(self:lOnBuyPowerBtnClick());

    --    cclog("getPvpTime::" .. self:getPvpTime());
    --    if self:getPvpTime() <= 0 then
    --        pBuyPowerBtn:setVisible(true);
    --        pBuyPowerBtn:setTouchEnabled(true);
    --    else
    --        pBuyPowerBtn:setVisible(false);
    --        pBuyPowerBtn:setTouchEnabled(false);
    --    end

end

-- 进入房间锁定提示
function LSceneHall:onRoomIsLockTip()
    return function(pSender, eventType)
        if (eventType == TOUCH_EVENT_ENDED) then
            DNDUiHelper:showMessage(g_lglobal:getClientText("E_HALL_ROOM_LOCK_TIP"));
        end
    end
end

-- 获取开启时间
function LSceneHall:getOpenDays(dayStr)
    local retDay = "";
    local temp2 = string.split(dayStr, ',');

    for i = 1, table.getn(temp2) do
        if i == 1 then
            retDay = retDay .. g_lglobal:getClientText(string.format("E_ATTENDANCE_WEEK%d", temp2[i]));
        else
            retDay = retDay .. "、" .. g_lglobal:getClientText(string.format("E_ATTENDANCE_WEEK%d", temp2[i]));
        end
    end

    return retDay;
end

-- 领奖按huo'qu钮 回调
function LSceneHall:onRewardBtnClick()
    return function(pSender, eventType)
        if (eventType == TOUCH_EVENT_ENDED) then
            g_lglobal.tRedDotHintFunctionState['iPvpDraw'] = 1;
            local pData = LNetGetReward.new();
            pData.iRewardType = 2;
            local pvpAwardInfo = g_lglobal:getPvpAwardInfo(self.iRankLevel);
            if (pvpAwardInfo == nil) then return end;
            lSend(pData, self, false);
            self:lDrawOKShow();
            local pUILayer = self:getPUILayer();
            local getAwardBtn = pUILayer:getWidgetByName('btnLingJiang');
            getAwardBtn:setVisible(false);
            getAwardBtn:setTouchEnabled(false);
            -- 显示已领提示
            local getAwardTip = pUILayer:getWidgetByName('txtHasAwardTip');
            getAwardTip:setVisible(true);
        end
    end
end

-- 购买次数按钮回调
function LSceneHall:lOnBuyPowerBtnClick()
    return function(pSender, eventType)
        if (eventType == TOUCH_EVENT_ENDED) then
            g_lglobal:lGotoScene(g_lglobal.SCENEID_BUYPVPTIME, nil);
            g_lglobal.pPvpHall = self;
        end
    end
end

-- 进入房间按钮回调
function LSceneHall:onEnterRoomClick()
    return function(pSender, eventType)
        if (eventType == TOUCH_EVENT_ENDED) then

            if (g_lglobal.partyTable.partyNum > 0) then
                DNDUiHelper:showMessage(g_lglobal:getClientText("E_PARTY"), 2);
                return;
            end

            local curSelect = clscast(pSender, "Layout");
            -- 当前选中房间的ID
            local curRoomId = curSelect:getTag();
            -- 房间信息
            local roomInfo = self:getHallRoomInfoById(curRoomId);

            if roomInfo == nil then
                return;
            end

            -- 是否双倍积分场
            self.bDoubleGame = self:isInOpenTime(roomInfo.double_day, roomInfo.double_time);
            -- 房间类型
            g_lglobal.tConfig.sceneModel = roomInfo.scene_model;
            g_lglobal:getPlanConfig().sceneModel = roomInfo.scene_model;

            local medalInfo = g_lglobal:getPvpAwardInfo(roomInfo.need_level);
            -- 判断是否达到开启等级(用勋章等级限制)
            if roomInfo.is_match ~= 0 then
                -- 赛事提示
                if g_lglobal:getAccount():getPlayer():getMedalLevel() < roomInfo.need_level then
                    if medalInfo ~= nil then
                        DNDUiHelper:showMessage(string.format(g_lglobal:getClientText("E_PVP_NEED_LEVEL_MATCH"), medalInfo.name));
                    end
                    return;
                end
            else
                if g_lglobal:getAccount():getPlayer():getMedalLevel() < roomInfo.need_level then
                    if medalInfo ~= nil then
                        DNDUiHelper:showMessage(string.format(g_lglobal:getClientText("E_PVP_NEED_LEVEL_" .. roomInfo.battle_model .. "_" .. roomInfo.player_num), medalInfo.name));
                    end
                    return;
                end
            end

            self:setWriteSelectRoom(curRoomId);

            -- 是否赛事（赛事跟普通的剩余次数不共用）
            if roomInfo.is_match ~= 0 then
                -- 赛事
                -- 房间列表索引
                local cacheIndex = self:getCacheIndexById(curRoomId);
                if cacheIndex == -1 then
                    return;
                end

                -- 判断剩余次数
                if g_lglobal.tHallListCache.tTreetimes[cacheIndex] <= 0 then
                    DNDUiHelper:showMessage(g_lglobal:getClientText("E_PVP_TITLE"));
                    return;
                end

                -- 次数减一
                -- g_lglobal.tHallListCache.tTreetimes[cacheIndex] = g_lglobal.tHallListCache.tTreetimes[cacheIndex] - 1;

                -- 是否穿外装
                if g_lglobal:getAccount():getPlayer():getPlayerCurLevel() >= g_lglobal.tConfig.limitPretendLevel then
                    g_lglobal:lGotoScene(g_lglobal.SCENEID_SELECT_BDY, nil);
                else
                    -- 进入房间
                    self:intoRoom();
                end

            else
                -- 不是赛事
                -- 判断pvp免费次数是否用完
                if self:getPvpTime() <= 0 then
                    -- DNDUiHelper:showMessage(g_lglobal:getClientText("E_PVP_TITLE"));
                    g_lglobal:lGotoScene(g_lglobal.SCENEID_BUYPVPTIME, nil);
                    g_lglobal.pPvpHall = self;
                    return;
                end

                -- 是否穿外装
                if g_lglobal:getAccount():getPveProgress(1) >= g_lglobal.tConfig.limitPretendLevel then
                    g_lglobal:lGotoScene(g_lglobal.SCENEID_SELECT_BDY, nil);
                else
                    -- 进入房间
                    self:intoRoom();
                end
            end

        end
    end
end

-- 根据id获取房间信息
function LSceneHall:getHallRoomInfoById(id)
    for i = 1, table.getn(g_lglobal.tViewPVPModel) do
        if g_lglobal.tViewPVPModel[i].id == id then
            return g_lglobal.tViewPVPModel[i];
        end
    end
    return nil;
end

-- 根据id获取房间列表缓存索引
function LSceneHall:getCacheIndexById(id)
    local index = -1;
    if g_lglobal.tHallListCache == nil then
        return index;
    end

    for i = 1, table.getn(g_lglobal.tHallListCache.tModelId) do
        if g_lglobal.tHallListCache.tModelId[i] == id then
            index = i;
            break;
        end
    end
    return index;
end

-- 判断是否在时间段内
function LSceneHall:isInOpenTime(dayStr, timeStr)
    local isOpen = false;
    -- 获取服务器时间
    local time = g_lglobal.iSysTime;
    -- 转换时间为秒
    local iNowDayTime = os.date("%H", time) * 3600 + os.date("%M", time) * 60 + os.date("%S", time);
    -- 星期几(1-7 : 星期一至日)
    local weekDay = os.date("%w", time);
    if weekDay == "0" then
        weekDay = "7";
    end

    -- 先判断该星期是否开启
    local isOpenDay = false;
    local tWeek = string.split(dayStr, ',');
    for i = 1, table.getn(tWeek) do
        if weekDay == tWeek[i] then
            isOpenDay = true;
            break;
        end
    end

    -- 判断时间段(当天是开启的)
    if isOpenDay then
        local tTimes = LHintClass:countTime(timeStr);
        for i = 1, table.getn(tTimes) do
            if iNowDayTime >= tTimes[i].front and iNowDayTime <= tTimes[i].last then
                isOpen = true;
                break;
            end
        end
    end

    return isOpen;
end

function LSceneHall:lDrawOKShow()
    local drawInfo = LLayerDraw.new();
    drawInfo:lDrawOKShow(self, 0);
end

function LSceneHall:lOnExit()
    self:removeNetEventListener(MAIN_QUALIFYING, QUALIFYING_MyRankInfoOk);
    g_lglobal.pPvpHall = nil;
end 


function LSceneHall:lRerfPvpTime()
    local pUILayer = self:getPUILayer();
    local freeTimesLab = pUILayer:getWidgetByName("nlbMyFreeCount");
    clscast(freeTimesLab, 'LabelAtlas'):setStringValue(5);
    self:setPvpTime(5);

    -- 购买次数按钮
    local pBuyPowerBtn = clscast(pUILayer:getWidgetByName("btnGouMai"), "Button");

    cclog("getPvpTime::" .. self:getPvpTime());
    if self:getPvpTime() <= 0 then
        pBuyPowerBtn:setVisible(true);
        pBuyPowerBtn:setTouchEnabled(true);
    else
        pBuyPowerBtn:setVisible(false);
        pBuyPowerBtn:setTouchEnabled(false);
    end
end

function LSceneHall:lGetIsDoubleGame()
    return self.bDoubleGame;
end

LSceneList[g_lglobal.SCENEID_PVP] = LSceneHall;


-- endregion
