-- region NewFile_1.lua
-- Author : Administrator
-- Date   : 2015/1/5
-- 此文件由[BabeLua]插件自动生成
LSceneRankList = class('LSceneRankList', function()
    return clscast(clscast(DNDSceneRanklist:scene(g_lglobal.SCENEID_RANKINGS), "CCNode"):getChildByTag(g_lglobal.SCENEID_RANKINGS), "DNDSceneRanklist");
end )

-- 初始化函数
function LSceneRankList:lInit()
    self:AddNetEventListener(MAIN_QUALIFYING, QUALIFYING_MyRankInfoOk);
    -- 设置系统刷新时间
    local timeDispose = LLoginDispose.new();
    timeDispose:lSetSysRefTime(self);
end

local m = LSceneRankList;
m.iRankNum = 0;

--- modify：dzb 我已经把接收 我的排行榜信息的协议写好了，不用从新写这个的协议，但是没有把c++的转lua 这里只是做了一下监听 用来做红点提示的 还需要转lua，转好了可以把这个注释去了，谢谢
--- modify: dzb 把领奖协议转了lua
function LSceneRankList:lOnNetRecv(buf)
    if buf.iMainType == MAIN_QUALIFYING then
        if buf.iSubType == QUALIFYING_MyRankInfoOk then
            -- 有关红点提示设置 试炼的次数
            self:lSetPvpRedDotData(buf);
            -- 获取排名
            self.iRankNum = buf.iMyRankAll;
        end
    end
end

-- 有关红点提示设置 试炼的次数
function LSceneRankList:lSetPvpRedDotData(buf)
    if (buf.bHaaReward == true) then
        g_lglobal.tRedDotHintFunctionState['iRankingDraw'] = 2;
    else
        if (buf.iMyScore > 0) then
            g_lglobal.tRedDotHintFunctionState['iRankingDraw'] = 1;
        else
            g_lglobal.tRedDotHintFunctionState['iRankingDraw'] = 0;
        end
    end
end

function LSceneRankList:lOnEnter()
    -- 回调--
    -- 领奖按钮的回调
    local onRewardBtn = function(pSender, eventType)
        if (eventType == TOUCH_EVENT_ENDED) then
            g_lglobal.tRedDotHintFunctionState['iRankingDraw'] = 1;
            local pData = LNetGetReward.new();
            pData.iRewardType = 3;
            self:refreshMoneyBar()
            self:lDrawOKShow();
            local getAwardBtn = self:getPUILayer():getWidgetByName('btnLQJL');
            getAwardBtn:setVisible(false);
            getAwardBtn:setTouchEnabled(false)
            local pDarwOkaward = self:getPUILayer():getWidgetByName('txtHasAwardTip');
            pDarwOkaward:setVisible(true);
            lSend(pData, self, false);

            -- local pLab
        end
    end
    -- 获取 排行版的 的cocoui
    local pUILayer = self:getPUILayer();
    -- 领奖按钮
    local pRewardBtn = pUILayer:getWidgetByName('btnLQJL');
    if (pRewardBtn ~= nil) then
        pRewardBtn:addTouchEventListener(onRewardBtn);
    end
end

function LSceneRankList:lDrawOKShow()
    local drawInfo = LLayerDraw.new();
    drawInfo:lDrawOKShow(self, 1);
end

function LSceneRankList:lOnExit()
    self:removeNetEventListener(MAIN_QUALIFYING, QUALIFYING_MyRankInfoOk);
end 

LSceneList[g_lglobal.SCENEID_RANKINGS] = LSceneRankList;


-- endregion
